MGRSCoordInfoFormatter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.coordFormatter
Class MGRSCoordInfoFormatter

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.util.coordFormatter.BasicCoordInfoFormatter
                  com.bbn.openmap.util.coordFormatter.MGRSCoordInfoFormatter

All Implemented Interfaces:
  LightMapHandlerChild, PropertyConsumer, CoordInfoFormatter, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class MGRSCoordInfoFormatter

extends BasicCoordInfoFormatter

Field Summary

Fields inherited from class com.bbn.openmap.util.coordFormatter.BasicCoordInfoFormatter
`DEGREE_SIGN, df, prettyName`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`MGRSCoordInfoFormatter()`

Method Summary
`java.lang.String` | `createCoordinateInformationLine(int x, int y, java.awt.geom.Point2D llp, java.lang.Object source)` The main function of this class

Methods inherited from class com.bbn.openmap.util.coordFormatter.BasicCoordInfoFormatter
`getPrettyName, getProperties, getPropertyInfo, setProperties`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.PropertyConsumer
`getPropertyPrefix, setProperties, setPropertyPrefix`

Constructor Detail

### MGRSCoordInfoFormatter

    public MGRSCoordInfoFormatter()

Method Detail

### createCoordinateInformationLine

    public java.lang.String createCoordinateInformationLine(int x,
                                                            int y,
                                                            java.awt.geom.Point2D llp,
                                                            java.lang.Object source)

  Description copied from interface: `CoordInfoFormatter`
  The main function of this class

  Specified by:
    `createCoordinateInformationLine` in interface `CoordInfoFormatter`
  Overrides:
    `createCoordinateInformationLine` in class `BasicCoordInfoFormatter`
  Parameters:
    `x` - the x pixel coordinate of the map, 0 is left side.
    `y` - the y pixel coordinate of the map, 0 is top.
    `llp` - the LatLonPoint represented by the pixel location.
    `source` - the object calling this method.
  Returns:
    String with coordinate info on it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details